## flask-bcrypt 0.7.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-Bcrypt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-Bcrypt.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask-Bcrypt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Flask-Bcrypt"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
flask-bcrypt (0.7.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support
  * Bump debhelper compat level to 12
  * Bump standards version to 4.4.0 (no changes)
  * Enable autopkgtest-pkg-python testsuite

 -- Ondřej Nový <onovy@debian.org>  Tue, 23 Jul 2019 19:43:11 +0200

flask-bcrypt (0.7.1-1) unstable; urgency=low

  * Initial release. (Closes: #817770).

 -- Orestis Ioannou <orestis@oioannou.com>  Fri, 11 Mar 2016 00:05:43 +0100

=== debian/control ===
Source: flask-bcrypt
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Orestis Ioannou <orestis@oioannou.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-bcrypt,
 python3-flask,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.4.0
Homepage: http://readthedocs.org/docs/flask-bcrypt/
Vcs-Git: https://salsa.debian.org/python-team/modules/flask-bcrypt.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-bcrypt
Testsuite: autopkgtest-pkg-python

Package: python3-flask-bcrypt
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python:Provides},
Description: Python 3 flask extension that provides bcrypt hashing utilities
 Due to the recent increased prevelance of powerful hardware,
 such as modern GPUs, hashes have become increasingly easy to crack.
 A proactive solution to this is to use a hash that was designed to be
 "de-optimized". Bcrypt is such a hashing facility; unlike hashing algorithms
 such as MD5 and SHA1, which are optimized for speed, bcrypt is intentionally
 structured to be slow.
 .
 This is a Python 3 package

Package: python-flask-bcrypt-doc
Architecture: all
Depends:
 ${misc:Depends},
Section: doc
Description: Flask extension that provides bcrypt hashing utilities (doc)
 Due to the recent increased prevelance of powerful hardware,
 such as modern GPUs, hashes have become increasingly easy to crack.
 A proactive solution to this is to use a hash that was designed to be
 "de-optimized". Bcrypt is such a hashing facility; unlike hashing algorithms
 such as MD5 and SHA1, which are optimized for speed, bcrypt is intentionally
 structured to be slow.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-bcrypt

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_build:
	rm docs/docs.zip
	$(MAKE) -C docs html
	dh_auto_build

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/flask-bcrypt-$1\.tar\.gz/ \
  https://github.com/maxcountryman/flask-bcrypt/tags .*/v?(\d\S*)\.tar\.gz

## flask-bcrypt 1.0.1

=== docs/requirements.txt ===
Sphinx>=4
Pallets-Sphinx-Themes

=== debian/changelog ===
flask-bcrypt (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: add b-d on pytest to force tests to run via something other
    than the deprecated "python3 setup.py test" command.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 02 Dec 2022 18:10:21 -0500

flask-bcrypt (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * gbp: Add a starting config
  * d/watch: Update to version 4
  * New upstream version 1.0.1
    (Closes: #1020824)
  * Rebuild patch queue from patch-queue branch
    Reworked/renamed patch:
    0001-Remove-image-from-amazonaws-in-docs-theme.patch
    -> Privacy-Remove-image-linking-to-amazonaws.patch
  * d/control: Add new Build-Depends on Pallets sphinx theme
  * d/rules: Add dh_sphinxdoc based override
    (Closes: #988780)
  * d/p-flask-bcrypt-doc: Drop the docs sequencer file
    Not needed due dh_sphinxdoc.
  * d/control: Small rewrite of p-flask-bcrypt description
  * d/control: Adjust python-flask-bcrypt-doc entry
  * d/control: Keep binary packages sorting alphabetical
  * d/control: Increase Standards-Version to 4.6.1
    No further changes needed.
  * d/copyright: Small update after upstream changes
  * d/control: Adding entry Rules-Requires-Root: no
  * d/README.source: Adding base information about source
  * autopkgtest: Run upstream test as a base testing

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 14 Oct 2022 07:05:00 +0200

flask-bcrypt (0.7.1-4) unstable; urgency=medium

  * Update standards version to 4.6.0, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 28 May 2022 00:53:34 +0100

flask-bcrypt (0.7.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-flask-bcrypt-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Mon, 02 May 2022 20:42:39 -0400

=== debian/control ===
Source: flask-bcrypt
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Orestis Ioannou <orestis@oioannou.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-bcrypt,
 python3-flask,
 python3-pallets-sphinx-themes,
 python3-setuptools,
 python3-sphinx,
 python3-pytest <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://readthedocs.org/docs/flask-bcrypt/
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-bcrypt.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-bcrypt
Testsuite: autopkgtest-pkg-python

Package: python-flask-bcrypt-doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Section: doc
Multi-Arch: foreign
Description: Flask extension that provides bcrypt hashing utilities (Documentation)
 Due to the recent increased prevelance of powerful hardware,
 such as modern GPUs, hashes have become increasingly easy to crack.
 A proactive solution to this is to use a hash that was designed to be
 "de-optimized". Bcrypt is such a hashing facility; unlike hashing algorithms
 such as MD5 and SHA1, which are optimized for speed, bcrypt is intentionally
 structured to be slow.
 .
 This package contains the HTML documentation.

Package: python3-flask-bcrypt
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python:Provides},
Description: Flask extension that provides bcrypt hashing utilities (Python3)
 Due to the recent increased prevelance of powerful hardware,
 such as modern GPUs, hashes have become increasingly easy to crack.
 A proactive solution to this is to use a hash that was designed to be
 "de-optimized". Bcrypt is such a hashing facility; unlike hashing algorithms
 such as MD5 and SHA1, which are optimized for speed, bcrypt is intentionally
 structured to be slow.
 .
 This package contains the Python3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-bcrypt

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs $(CURDIR)/debian/python-flask-bcrypt-doc/usr/share/doc/python-flask-bcrypt-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4

opts="pgpmode=none, \
      mode=git, \
	  dversionmangle=s/\+(debian|dfsg|ds|deb)([\.\d]+)?$//, \
      uversionmangle=s/(rc|a|b|c)/~$1/"  \
https://github.com/maxcountryman/flask-bcrypt.git \
      refs/tags/@ANY_VERSION@
